<template>
  <div>
    <canvas id="payment-chart"></canvas>
  </div>
</template>

<script>
import Chart from 'chart.js/auto'

export default {
  name: 'PaymentChart',
  props: {
    activityId: String
  },
  data() {
    return {
      chartData: {        
        data: {
          labels: ["Monday", "Tuesday", "Wednessday", "Thurday", "Friday", "Saturday", "Sunday"],
          datasets: [
            {
              label: "Lượt ủng hộ",
              type: "line",
              data: [1, 4, 2, 0, 7, 8, 7],
              // backgroundColor: "#36495d",
              borderColor: "#36495d",
              borderWidth: 3
            },
          ]
        },
        options: {
          responsive: true,
          lineTension: 0,
        }
      },
    }
  },
  methods: {
    async getData(){

    }
  },
  mounted(){
    this.getData()
    const ctx = document.getElementById('payment-chart')
    new Chart(ctx, this.chartData);
  }
}
</script>

<style scoped>
canvas{
  width: 100%;
}
</style>